# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-haskell/citeproc-hs/citeproc-hs-0.3.8-r2.ebuild,v 1.1 2013/09/28 12:27:16 gienah Exp $

EAPI=5

# ebuild generated by hackport 0.3.2.9999

CABAL_FEATURES="lib profile haddock hoogle hscolour"
inherit base haskell-cabal

DESCRIPTION="A Citation Style Language implementation in Haskell"
HOMEPAGE="http://gorgias.mine.nu/repos/citeproc-hs/"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+bibutils +hexpat +network +small_base embed_data_files"

RDEPEND="dev-haskell/json:=[generic,profile?]
		dev-haskell/mtl:=[profile?]
		>=dev-haskell/pandoc-types-1.8:=[profile?]
		<dev-haskell/pandoc-types-1.13:=[profile?]
		dev-haskell/parsec:=[profile?]
		dev-haskell/syb:=[profile?]
		dev-haskell/utf8-string:=[profile?]
		>=dev-lang/ghc-6.12.1:=
		bibutils? ( >=dev-haskell/hs-bibutils-0.3:=[profile?]
		)
		embed_data_files? ( dev-haskell/file-embed:=[profile?]
		)
		hexpat? ( >=dev-haskell/hexpat-0.20.2:=[profile?]
		)
		network? ( >=dev-haskell/http-4000.0.9:=[profile?]
			>=dev-haskell/network-2:=[profile?]
		)
		!hexpat? ( dev-haskell/xml:=[profile?]
		)"
DEPEND="${RDEPEND}
		>=dev-haskell/cabal-1.6"

PATCHES=("${FILESDIR}"/${P}-preproc.patch)

src_prepare() {
	base_src_prepare
	cabal_chdeps \
		'pandoc-types >= 1.8 && < 1.11' 'pandoc-types >= 1.8 && < 1.13'
}

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag small_base small_base) \
		$(cabal_flag bibutils bibutils) \
		$(cabal_flag network network) \
		$(cabal_flag hexpat hexpat) \
		$(cabal_flag embed_data_files embed_data_files)
}
